<?php

namespace App\Filament\Resources\Hotels\Tables;

use Filament\Tables;

class HotelsTable
{
    public static function schema(): array
    {
        return [
            Tables\Columns\ImageColumn::make('image')
                ->circular()
                ->imageSize(60),

            Tables\Columns\TextColumn::make('name')
                ->searchable(),

            Tables\Columns\TextColumn::make('city')
                ->sortable(),

            Tables\Columns\TextColumn::make('haram_distance'),

            Tables\Columns\TextColumn::make('star')
                ->sortable(),

            Tables\Columns\TextColumn::make('created_at')
                ->dateTime()
                ->sortable()
                ->toggleable(isToggledHiddenByDefault: true),

            Tables\Columns\TextColumn::make('updated_at')
                ->dateTime()
                ->sortable()
                ->toggleable(isToggledHiddenByDefault: true),
        ];
    }
}
